Bug 1252475 - Cannot add new cluster using rest-api
Cannot add new cluster using rest-api
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.6
Unspecified Unspecified
high Severity high
: m1
: 3.6.0
Assigned To: Omer Frenkel
Ilanit Stein
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 10:02 EDT by Omer Frenkel
Modified: 2016-02-10 14:49 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-30 09:48:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 44700 master MERGED core: move initialization code to init Never

  None (edit)
Description Omer Frenkel 2015-08-11 10:02:57 EDT
Description of problem:
cannot add new cluster when using rest api without setting value to 'error_handling'

Version-Release number of selected component (if applicable):
3.6 master

How reproducible:
always

Steps to Reproduce:
using rest api, create cluster without setting 'error_handling' :

<cluster>
     <name>test-cluster</name>
     <cpu id="Intel Conroe Family"/>
     <data_center>
         <name>Default</name>
     </data_center>
     <version major="3" minor="5"/>
</cluster>

Actual results:
fails, exception in engine log:
2015-08-11 15:26:50,327 ERROR [org.ovirt.engine.core.bll.CommandsFactory] (default task-43) [] Error in invocating CTOR of command 'AddVdsGroup': null
2015-08-11 15:26:50,346 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (default task-43) [] Operation Failed: java.lang.NullPointerException
2015-08-11 15:26:50,346 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (default task-43) [] Exception: javax.ejb.EJBException: java.lang.NullPointerException


Expected results:
add cluster succeed
Comment 1 Omer Frenkel 2015-08-12 04:36:29 EDT
note that this was found and fixed on master branch, after first beta build, so probably not on any officially released build (i assume just nightly)

Note You need to log in before you can comment on or make changes to this bug.